Google Grants – Script di verifica post update 2018

Da Gennaio 2018 sono cambiate molte cose per chi gestisce Google Grants.

In rete trovate uno script che verifica se il vostro account Google Grants rispetta tutte le condizioni (eccetto una, la risposta del sondaggio, dato che non può essere controllata tramite script).

Qui trovate la guida per configurare lo script di verifica Grants

dovete copiare il codice e modificare alcuni valori, è spiegato tutto molto bene.

Attenzione però!

Lo script non funziona più, forse vi siete accorti che non ricevete più la mail, forse non ve ne siete accorti… se entrate nell’interfaccia  lo fate girare vi darà questo errore:

Invalid reporting query: UNSUPPORTED_VERSION: RequestError.UNSUPPORTED_VERSION. (file Code.gs, line 239)

Errore nello script di controllo Google Grants

Per sistemare il problema dovete cercare nello script le righe contenenti:

apiVersion: ‘v201710’

e sostituirle con

apiVersion: ‘v201806’

(io le ho trovate verso la riga 180 e 244)

Salvate, provate a lanciare l’anteprima e dovrebbe essere tutto risolto,
se avete smesso di ricevere le mail di notifica, una volta che ri-lanciate lo script dovrebbe arrivarvi anche quella!

come diceva un mio maestro…
“May The Grant Be With You” 😉